Doomsday Engine - Bug #2171

Binding different commands to different joystick hat directions
2016-08-09 11:52 - skyjake

Status: Closed Start date: 2016-08-09
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 2.0 — Home Ul & Packages

Description

It appears bindings for the other hat directions are being overridden? See forums comment.

Associated revisions

Revision 3035253 - 2016-08-23 22:02 - skyjake

Fixed|Input: Hat bindings for different angles; added "inspectinputdevice"
When creating joystick hat event bindings, the specified hat angle

was ignored when checking for overridden bindings. This meant that only
the latest hat binding was ever in effect.

If the device contains multiple hats, up to four hats are checked
and events are generated appropriately.

The "inspectinputdevice" command can be used to check the description
(and status) of a single input device.

Fixes #2171

History

#1 - 2016-08-23 21:55 - skyjake

- Assignee set to skyjake

#2 - 2016-08-23 22:26 - skyjake
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset github|303f52531f87ed5cfbf1621643703f7274a46f30.

#3 - 2016-08-23 22:46 - skyjake

- Target version changed from Input and game controllers to 2.0 — Home Ul & Packages

#4 - 2016-08-29 09:20 - skyjake

- Status changed from Resolved to Closed
